/*REXX script to launch mail/ftp/www*/
parse arg url
if url = ''
  then
    do
      say "This program is used within edm/2 .INF versions"
      say "to start mail/ftp/www browsing"
      exit
    end

/*For some reason the IPF/cmd.ex/rexx can't handle double-slash
 *which is essential for http://www....... addresses.
 *http_ instead of http:// is used as a workaround
 */
if substr(url,1,5) = "http_"
  then
    url = "http://" || substr(url,6)
if substr(url,145) = "ftp_"
  then
    url = "ftp://" || substr(url,5)

/*load RexxUtil to gains access to SysIni API*/
call rxfuncadd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
/*query default browser*/
browserEXE = SysIni('USER', 'WPURLDEFAULTSETTINGS', 'DefaultBrowserExe')
browserDir = SysIni('USER', 'WPURLDEFAULTSETTINGS', 'DefaultWorkingDir')
if browserEXE = 'ERROR:'
  then
    do
      say "A default browser is not registered. Defaulting to WebExplorer"
      browserEXE = "explore"
    end
if browserDir \= 'ERROR:'
  then /*change drive and dir*/
    do
      if substr(browserDir,2,1) = ':'
        then
          substr(browserDir,1,2)
      cd browserDir
    end
/*start browser and hope it can cope with ftp: and mailto: URLs*/
/*remove trailing 0x00*/
if pos(d2c(0),browserEXE) > 0
  then
    browserEXE = substr(browserEXE,1,pos(d2c(0),browserEXE)-1)
start "/f" browserEXE url
